// wbeep2.c 
// program to beep 20 times.  Compile using smart callbacks. 
#include <windows.h> 
 
// prototype for message procedure 
BOOL FAR _export PASCAL DialogProc(HWND, unsigned, WORD, DWORD); 
 
#pragma argsused 
int PASCAL WinMain(HANDLE hInstance, HANDLE hPrevInst, 
LPSTR lpCommand, int cmdShow) 
{ 
	//  Your program grabs ahold of the CPU at startup. 
 
	MSG	  msg;    // the message structure 
 
	//  Create a dialog box for our program 
	CreateDialog(hInstance, "BEEP_DIALOG", 0, (FARPROC) DialogProc); 
 
	// Calling GetMessage() allows Windows to switch to another 	 
	// program.  Your program will sit idle if no messages occur. 
	while (GetMessage(&msg, NULL, 0, 0)) 
	// retrieve message from queue 
		DispatchMessage(&msg); 
		// send message to the proper function 
 
	return 0; 
} 
 
// This is the function which receives messages for our dialog.  Our  
// call to CreateDialog() passed the address of this function as a  
// parameter. 
#pragma argsused 
BOOL FAR _export PASCAL DialogProc(HWND hWnd, unsigned message, 
WORD wParam, DWORD lParam) 
{ 
	switch (message) 
	{ 
		case WM_COMMAND: 
		if ((HIWORD(lParam) == BN_CLICKED) &&  (wParam == 101)) 
		// if a button is clicked, and it is button #101... 
		{ 
			int x; 
 
			for (x=1; x<=20; x++)	// ...play our beep loop 
			{ 
				MessageBeep(0); 
			} 
		} 
		break; 
 
		case WM_CLOSE:  // This message occurs if the user 
				    // double clicks on the dialog's system box. 
		  PostQuitMessage(0); 
		  break; 
 
		case WM_INITDIALOG:  // This is the 1st message sent to any 
					   // dialog procedure. 
		  return TRUE;       // Returning TRUE indicates creation 
					   // was successful. 
	} 
	return FALSE; 
} 
